function tap(status) {
  if (status.diff_Abs_X < status.tapMin
     && status.diff_Abs_Y < status.tapMin
     && status.time <= status.longTapTime) {
    status.callback.call(this, status);
  }
}
function longTap(status) {
  if (status.diff_Abs_X < status.tapMin
     && status.diff_Abs_Y < status.tapMin
     && status.time > status.longTapTime) {
    status.callback.call(this, status);
  }
}
function swipUp(status) {
  if (status.diff_Abs_X < status.diff_Abs_Y
    && status.diff_Abs_Y > status.tapMin
    && status.diff_Y >= status.slideMin) {
    status.callback.call(this, status);
  }
}
function swipDown(status) {
  if (status.diff_Abs_X < status.diff_Abs_Y
    && status.diff_Abs_Y > status.tapMin
    && status.diff_Y <= -status.slideMin) {
    status.callback.call(this, status);
  }
}
function swipLeft(status) {
  if (status.diff_Abs_X > status.diff_Abs_Y
    && status.diff_Abs_X > status.tapMin
    && status.diff_X >= status.slideMin) {
    status.callback.call(this, status);
  }
}
function swipRight(status) {
  if (status.diff_Abs_X > status.diff_Abs_Y
    && status.diff_Abs_X > status.tapMin
    && status.diff_X <= -status.slideMin) {
    status.callback.call(this, status);
  }
}

export {tap, longTap, swipUp, swipDown, swipLeft, swipRight};